Service Groups
Delete Service Group
Delete a service group. Optionally deletes the services it contains.
Delete a service group. Optionally deletes the services it contains.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
delete_services?boolean
Whether to delete the services in the service group
environment_id*string
The ID of the environment
Format
uuidid*string
The ID of the service group
Format
uuidproject_id*string
The ID of the project
Format
uuidteam_id*string
The ID of the team
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/service_groups/delete" \ -H "Content-Type: application/json" \ -d '{ "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba" }'{ "data": { "deleted": true, "id": "string" }}